# Deprecated API

## Contents

- Methods
- Constructors

Deprecated Methods
Method
Description
org.stianloader.remapper.SimpleTopLevelLookup.realmsOf(List<ClassNode>)
Use `SimpleTopLevelLookup.realmsOf(Iterable)` instead. This method is only present for backwards compatibility.

Deprecated Constructors
Constructor
Description
org.stianloader.remapper.SimpleHierarchyAwareMappingLookup(List<ClassNode>)
use `SimpleHierarchyAwareMappingLookup(Iterable)` instead. This method only exists for backwards compatibility.
org.stianloader.remapper.SimpleTopLevelLookup(List<ClassNode>)
Use `SimpleTopLevelLookup(Iterable)` instead. This constructor only exists for binary backwards compatibility.